[mutter] Fix bashism in autogen.sh



commit e146428038a9f54b1b21636bee2e8d80924f2d7f
Author: Matthias Liertzer <matthias liertzer at>
Date:   Fri Mar 17 15:07:15 2017 +0100

    Fix bashism in autogen.sh
    
    https://bugzilla.gnome.org/show_bug.cgi?id=780215

 autogen.sh |   10 ++++++----
 1 files changed, 6 insertions(+), 4 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index ba92763..58fd3cf 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
 # Run this to generate all the initial makefiles, etc.
 
 srcdir=`dirname $0`
@@ -6,7 +6,9 @@ test -z "$srcdir" && srcdir=.
 
 REQUIRED_AUTOMAKE_VERSION=1.11
 
-pushd $srcdir
+olddir="$(pwd)"
+
+cd "${srcdir}"
 
 (test -f configure.ac \
   && test -d src) || {
@@ -19,8 +21,8 @@ aclocal --install || exit 1
 intltoolize --force --copy --automake || exit 1
 autoreconf --verbose --force --install || exit 1
 
-popd
+cd "${olddir}"
 
 if [ "$NOCONFIGURE" = "" ]; then
-    $srcdir/configure "$@" || exit 1
+    "${srcdir}/configure" "$@" || exit 1
 fi


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]